Fetch Analysis (heatmap)
Analysis / Question Dashboard
Fetch Analysis (heatmap)
Description
Get heatmap question reactions points.
Payload
{
"fromDate": string,
"toDate": string,
"filter": array,
"projectId": string
}
where:
fromDate: start date in ISO format. (Required).toDate: end date in ISO format. (Required).filter: array of filters to filter the responses. (Optional).projectId: project unique identifier. Only used in case projectId is missing as query param(Optional).
Response
200 OK
{
"projectId": string,
"fromDate": string,
"toDate": string,
"filter": array,
"responses": object,
"responsesByQuestion": object
}
where:
fromDate: Starting date to filter responses.toDate: End date to filter responses.filter: List of filters used to apply to the constant sum answers.projectId: Id of the project this analysis belongs to.responses: An object indexed by question id prefixed withq.responses.qQuestionID: An object indexed by reaction position associated with an array containing objects with thexandycoordinate for that reaction.responsesByQuestion: An object indexed by question id prefixed withqassociated with the number of responses for it.
401 Unauthorized
Invalid authorization.
404 Not Found
Resource not found.
500 Internal Server Error
Error occurred in the service.
POST
Fetch Analysis (heatmap)
Description
Get heatmap question reactions points.Payload
fromDate: start date in ISO format. (Required).toDate: end date in ISO format. (Required).filter: array of filters to filter the responses. (Optional).projectId: project unique identifier. Only used in case projectId is missing as query param(Optional).
Response
200 OK
fromDate: Starting date to filter responses.toDate: End date to filter responses.filter: List of filters used to apply to the constant sum answers.projectId: Id of the project this analysis belongs to.responses: An object indexed by question id prefixed withq.responses.qQuestionID: An object indexed by reaction position associated with an array containing objects with thexandycoordinate for that reaction.responsesByQuestion: An object indexed by question id prefixed withqassociated with the number of responses for it.
401 Unauthorized
Invalid authorization.
404 Not Found
Resource not found.
500 Internal Server Error
Error occurred in the service.